#
# spec file for package plib (Version 1.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mesa mesa-devel mesaglut mesaglut-devel mesasoft xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         plib
Copyright:    LGPL
Group:        Development/Libraries
Requires:     mesa
Autoreqprov:  on
Version:      1.4.2
Release:      45
Summary:      A collection of useful Game libraries
URL:          http://plib.sourceforge.net/
Source:       %{name}-%{version}.tar.bz2
#Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-BUILD

%description
Plib contains a selection of libraries, that can be helpful for
3D game programming. It contains the following libraries:
o JS - A Joystick interface.
o PUI - A simple GUI built on top of OpenGL
o SG - Some Standard Geometry functions
o SL - A Games-oriented Sound Library
o SSG - A Simple Scene Graph API built on top of OpenGL

Authors:
--------
    Steve Baker <sjbaker1@airmail.net>

SuSE series: d

%prep
%setup
#%patch
%{?suse_update_config:%{suse_update_config}}

%build
automake
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
            --prefix=%{_prefix} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS CHANGES COPYING ChangeLog INSTALL
%doc LICENSE NEWS NOTICE README README.mac README.win32
%{_prefix}/include/*
%{_prefix}/lib/*

%changelog -n plib
* Thu Jul 26 2001 - rvasice@suse.cz
- update to version 1.4.2
* Fri Jul 13 2001 - rvasice@suse.cz
- update to version 1.4.1
* Mon Jun 04 2001 - rvasice@suse.cz
- spec file cleanup
- bzip2 sources
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - ro@suse.de
- added mesaglut
* Fri Mar 09 2001 - ro@suse.de
- added mesaglu
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
- added xf86 to neededforbuild
* Fri Feb 09 2001 - ro@suse.de
- include float.h in sg.h
* Mon Aug 07 2000 - smid@suse.cz
- upgrade to 1.2.0
* Mon May 22 2000 - smid@suse.cz
- mesadev added to neededforbuild
* Thu May 04 2000 - smid@suse.cz
- upgrade to 1.1.11
* Fri Apr 21 2000 - smid@suse.cz
- buildroot added
* Thu Feb 17 2000 - grimmer@suse.de
- added URL to spec file
- use full URL to source package
- use version macro
* Tue Dec 28 1999 - sndirsch@suse.de
- updated to version 1.0.20
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 18 1999 - sndirsch@suse.de
- update to version 1.0.16
* Wed Jul 07 1999 - grimmer@suse.de
- initial package created (Version 1.0.12)
